Bug 814401 - Calendar server crashes when Evolution (and its schema) is not installed
Calendar server crashes when Evolution (and its schema) is not installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:501234fa5a991a7df91cea8875d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 15:06 EDT by Joerg Skottke
Modified: 2012-04-24 00:23 EDT (History)
12 users (show)

See Also:
Fixed In Version: gnome-shell-3.4.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 00:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.82 KB, text/plain)
2012-04-19 15:06 EDT, Joerg Skottke
no flags Details
File: maps (41.73 KB, text/plain)
2012-04-19 15:06 EDT, Joerg Skottke
no flags Details
File: dso_list (9.29 KB, text/plain)
2012-04-19 15:06 EDT, Joerg Skottke
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 674424 None None None Never

  None (edit)
Description Joerg Skottke 2012-04-19 15:06:31 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-shell-calendar-server
crash_function: g_logv
executable:     /usr/libexec/gnome-shell-calendar-server
kernel:         3.3.2-1.fc17.x86_64
pid:            1390
pwd:            /home/skotti
remote_result:  NOTFOUND
time:           Do 19 Apr 2012 20:58:37 CEST
uid:            1000
username:       skotti
var_log_messages: Apr 19 20:58:37 duffy abrt[1395]: Saved core dump of pid 1390 (/usr/libexec/gnome-shell-calendar-server) to /var/spool/abrt/ccpp-2012-04-19-20:58:37-1390 (20897792 bytes)
xsession_errors: (gnome-shell-calendar-server:1390): GLib-GIO-ERROR **: Settings schema 'org.gnome.evolution.calendar' is not installed

backtrace:      Text file, 30536 bytes
dso_list:       Text file, 9515 bytes
maps:           Text file, 42731 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/skotti/2

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4e821 g_logv libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4e9b2 g_log libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xa8acf - libgio-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x148fc - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x15d71 g_object_newv libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x16894 g_object_new libgobject-2.0.so.0 -
:4032b95026759e113cae92d04461c29d4771c8fe 0x44bf - [exe] -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2fa06 g_type_create_instance libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x147a8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x16261 g_object_newv libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x168ac g_object_new libgobject-2.0.so.0 -
:4032b95026759e113cae92d04461c29d4771c8fe 0x45cd calendar_sources_get [exe] -
:4032b95026759e113cae92d04461c29d4771c8fe 0x4ed6 - [exe] -
:647c8183274c4626c81e86e7a631a81782a04e65 0xc3564 - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6ce47 g_simple_async_result_complete libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6cf49 - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x179585 gtk_main libgtk-3.so.0 -
:4032b95026759e113cae92d04461c29d4771c8fe 0x3a8f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=duffy.gleitmeier.de
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/skotti/keyring-nYY4z0
:IMSETTINGS_MODULE=none
:USER=skotti
:USERNAME=skotti
:MAIL=/var/spool/mail/skotti
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/skotti/.local/bin:/home/skotti/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/skotti
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1053
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/skotti
:SHLVL=1
:LOGNAME=skotti
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JoR6iUXDPZ,guid=01d019034e50706e867de8a800000010
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/skotti
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-skotti-jToZSN/database
:CCACHE_HASHDIR=
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1058,unix/unix:/tmp/.ICE-unix/1058
:SSH_AUTH_SOCK=/run/user/skotti/keyring-nYY4z0/ssh
:GPG_AGENT_INFO=/run/user/skotti/keyring-nYY4z0/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63217                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63217                63217                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[19726]
:pos:	0
:flags:	00
:1:/home/skotti/.xsession-errors
:pos:	2286
:flags:	0102002
:2:/home/skotti/.xsession-errors
:pos:	2286
:flags:	0102002
:3:socket:[20590]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[20593]
:pos:	0
:flags:	02004002
:6:socket:[21591]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 1a9e31d6-faa8-48d1-8baf-b79ccab0ae5c
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 6829.98
:CPU-Anbieter: AuthenticAMD
:CPU-Modell: AMD Phenom(tm) II X4 965 Processor
:CPU-Stepping: 3
:CPU Familie: 16
:CPU-Modellnummer: 4
:Anzahl der CPUs: 4
:CPU-Geschwindigkeit: 3400
:Systemspeicher: 7985
:System-Swap: 8191
:Anbieter: Gigabyte Technology Co., Ltd.
:System: GA-790XTA-UD4 
:Form-Faktor: Desktop
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux aktiviert: 0
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(4098:22908:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port C)
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:22909:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port D)
:(4098:22911:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port F)
:(4318:3054:4272:1025) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:22872:4098:22872) pci, None, HOST/PCI, RD780 Northbridge only dual slot PCI-e_GFX and HT1 K8 part
:(4147:404:5208:20487) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4098:22904:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port A)
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(6987:37283:5208:45056) pci, ahci, STORAGE, N/A
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:4676:4272:1025) pci, nvidia, VIDEO, GF116 [GeForce GTX 550 Ti]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:22907:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port B)
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 29261978 27336735 25871519 7331840 7124907 7124907
:/dev/sdb4 /home ext4 4096 4096 212207703 129020060 118398987 53108736 52979834 52979834
:/dev/sdb5 /tmp ext4 4096 4096 4059905 3961365 3757679 1020000 1019757 1019757
:
Comment 1 Joerg Skottke 2012-04-19 15:06:36 EDT
Created attachment 578749 [details]
File: backtrace
Comment 2 Joerg Skottke 2012-04-19 15:06:39 EDT
Created attachment 578750 [details]
File: maps
Comment 3 Joerg Skottke 2012-04-19 15:06:41 EDT
Created attachment 578751 [details]
File: dso_list
Comment 4 Owen Taylor 2012-04-19 15:22:49 EDT
Filed upsream as https://bugzilla.gnome.org/show_bug.cgi?id=674424
Comment 5 Luya Tshimbalanga 2012-04-20 03:33:18 EDT
Crash occurred during the opening session.

backtrace_rating: 4
Package: gnome-shell-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Owen Taylor 2012-04-20 07:32:11 EDT
The workaround for this bug is to install evolution - the crash is gnome-shells calendar component crashing when it doesn't find Evolution's GSetting schema.
Comment 7 Toby Haynes 2012-04-20 09:52:49 EDT
Starting up Gnome Shell after login

backtrace_rating: 4
Package: gnome-shell-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora Update System 2012-04-20 14:09:01 EDT
gnome-shell-3.4.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-shell-3.4.1-3.fc17
Comment 9 Vaclav "sHINOBI" Misek 2012-04-21 15:14:03 EDT
After log in to the gnome, this crash appears.

backtrace_rating: 4
Package: gnome-shell-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Fedora Update System 2012-04-21 17:02:04 EDT
Package gnome-shell-3.4.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-3.4.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6310/gnome-shell-3.4.1-3.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-04-24 00:23:26 EDT
gnome-shell-3.4.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.